package com.interpress_project.modernshare.orb;

import java.io.Serializable;

import org.omg.CORBA.portable.ValueFactory;
import org.omg.CORBA_2_3.portable.InputStream;

import com.interpress_project.modernshare.orb.generated.MdsServerInfo;

public class MdsServerInfoFactory implements ValueFactory {
	/**
	 * read_value
	 */
	public Serializable read_value(InputStream is) {
		MdsServerInfo info = new MdsServerInfoImpl();
		is.read_value((Serializable) info);
		return info;
	}
}
